Bug 151293 - [GTK][Mac] socketpair assertion failure
Summary: [GTK][Mac] socketpair assertion failure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Local Build
Hardware: Macintosh OS X 10.10
: P2 Major
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 126492
  Show dependency treegraph
 
Reported: 2015-11-14 08:53 PST by Tom Schoonjans
Modified: 2016-02-01 10:08 PST (History)
7 users (show)

See Also:


Attachments
patch (1.37 KB, patch)
2015-12-07 00:15 PST, Philippe Normand
cgarcia: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schoonjans 2015-11-14 08:53:03 PST
I am producing a formula for webkit-gtk for Homebrew. After a lot of trial and error, I managed to get 2.10.4 compiling successfully against Gtk+3 3.18.4 (with quartz backend).

My cmake invocation: 

cmake
.
-DCMAKE_C_FLAGS_RELEASE=
-DCMAKE_CXX_FLAGS_RELEASE=
-DCMAKE_INSTALL_PREFIX=/usr/local/Cellar/webkitgtk/2.10.4
-DCMAKE_BUILD_TYPE=Release
-DCMAKE_FIND_FRAMEWORK=LAST
-DCMAKE_VERBOSE_MAKEFILE=ON
-Wno-dev
-DPORT=GTK
-DENABLE_X11_TARGET=OFF
-DENABLE_PLUGIN_PROCESS_GTK2=OFF
-DENABLE_GEOLOCATION=OFF
-DENABLE_OPENGL=OFF
-DUSE_LIBNOTIFY=OFF
-DCMAKE_CXX_FLAGS=-I/usr/local/opt/gst-plugins-base/include/gstreamer-1.0
-DCMAKE_C_FLAGS=-I/usr/local/opt/gst-plugins-base/include/gstreamer-1.0
-DCMAKE_SHARED_LINKER_FLAGS=-L/path/to/nonexistent/folder

Now I tried to run the simple example I found at https://wiki.gnome.org/Projects/WebKitGtk/ProgrammingGuide/Tutorial, which compiles nicely but segfaults at runtime with:


(process:16154): Gtk-WARNING **: Locale not supported by C library.
	Using the fallback 'C' locale.
2015-11-14 16:51:49.739 a.out[16154:3734622] *** WARNING: Method userSpaceScaleFactor in class NSView is deprecated on 10.7 and later. It should not be used in new applications. Use convertRectToBacking: instead. 
ASSERTION FAILED: socketpair(1, 5, 0, sockets) != -1
/tmp/webkitgtk20151114-89843-fs5fki/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/unix/ConnectionUnix.cpp(528) : static Connection::SocketPair IPC::Connection::createPlatformConnection(unsigned int)
1   0x103acb008
2   0x107ba81c8
3   0x107ba67b4
4   0x1082015bf
5   0x1082018ab
6   0x108201b04
7   0x107b7f4c2
8   0x107ba46e6
9   0x7fff8a52d05a
10  0x7fff8a52cfd7
11  0x7fff8a52a3ed
Segmentation fault: 11

Any thoughts?
Comment 1 Philip Chimento 2015-11-16 09:23:02 PST
Not sure what's going on here, it may be something I overlooked in the patch on #144560.

FYI, I've had good results using MiniBrowser as a quick sanity check to see if everything compiled correctly on my system: use -DENABLE_MINIBROWSER=ON. For completeness, these are the cmake flags I've been using:

-DPORT=GTK -DENABLE_X11_TARGET=OFF -DENABLE_QUARTZ_TARGET=ON -DENABLE_TOOLS=ON -DENABLE_MINIBROWSER=ON -DENABLE_PLUGIN_PROCESS_GTK2=OFF -DENABLE_VIDEO=OFF -DENABLE_WEB_AUDIO=OFF -DENABLE_CREDENTIAL_STORAGE=OFF -DENABLE_GEOLOCATION=OFF -DENABLE_OPENGL=OFF -DUSE_LIBNOTIFY=OFF -DUSE_LIBHYPHEN=OFF -DCMAKE_CXX_FLAGS='-stdlib=libc++
Comment 2 Tom Schoonjans 2015-11-22 08:20:52 PST
Sorry about the delay in my reply

I recompiled webkitgtk with your Cmake options but MiniBrowser segfaults at startup:


(process:40047): Gtk-WARNING **: Locale not supported by C library.
	Using the fallback 'C' locale.
2015-11-22 16:18:32.128 MiniBrowser[40047:423306] *** WARNING: Method userSpaceScaleFactor in class NSView is deprecated on 10.7 and later. It should not be used in new applications. Use convertRectToBacking: instead. 
ASSERTION FAILED: socketpair(1, 5, 0, sockets) != -1
/tmp/webkitgtk20151122-14684-388wk7/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/unix/ConnectionUnix.cpp(528) : static Connection::SocketPair IPC::Connection::createPlatformConnection(unsigned int)
1   0x104fa2738
2   0x108de11d8
3   0x108ddf7c4
4   0x1087465bf
5   0x1087468ab
6   0x108746b04
7   0x108db84d2
8   0x108ddd6f6
9   0x7fff8c9d59b1
10  0x7fff8c9d592e
11  0x7fff8c9d3385
Segmentation fault: 11
Comment 3 Philippe Normand 2015-12-05 07:40:45 PST
I can also reproduce this issue here:

Process 82906 stopped
* thread #10: tid = 0x1acccf, 0x0000000103c69fc1 libjavascriptcoregtk-4.0.18.dylib`WTFCrash + 113, name = 'ProcessLauncher', stop reason = EXC_BAD_ACCESS (code=1, address=0xbbadbeef)
    frame #0: 0x0000000103c69fc1 libjavascriptcoregtk-4.0.18.dylib`WTFCrash + 113
libjavascriptcoregtk-4.0.18.dylib`WTFCrash:
->  0x103c69fc1 <+113>: movl   $0x0, (%rax)
    0x103c69fc7 <+119>: ud2    
    0x103c69fc9 <+121>: nopl   (%rax)

libjavascriptcoregtk-4.0.18.dylib`WTFCrashWithSecurityImplication:
    0x103c69fd0 <+0>:   pushq  %rbp
(lldb) bt
* thread #10: tid = 0x1acccf, 0x0000000103c69fc1 libjavascriptcoregtk-4.0.18.dylib`WTFCrash + 113, name = 'ProcessLauncher', stop reason = EXC_BAD_ACCESS (code=1, address=0xbbadbeef)
  * frame #0: 0x0000000103c69fc1 libjavascriptcoregtk-4.0.18.dylib`WTFCrash + 113
    frame #1: 0x000000010020b4f9 libwebkit2gtk-4.0.37.dylib`IPC::Connection::createPlatformConnection(unsigned int) + 185
    frame #2: 0x0000000100260556 libwebkit2gtk-4.0.37.dylib`WebKit::ProcessLauncher::launchProcess() + 54
    frame #3: 0x0000000103c77f62 libjavascriptcoregtk-4.0.18.dylib`WTF::RunLoop::performWork() + 434
    frame #4: 0x0000000103ca8739 libjavascriptcoregtk-4.0.18.dylib`WTF::RunLoop::RunLoop()::$_1::__invoke(void*) + 9
    frame #5: 0x000000010330a974 libglib-2.0.0.dylib`g_main_dispatch + 452
    frame #6: 0x000000010330a793 libglib-2.0.0.dylib`g_main_context_dispatch + 51
    frame #7: 0x000000010330ad51 libglib-2.0.0.dylib`g_main_context_iterate + 465
    frame #8: 0x000000010330b264 libglib-2.0.0.dylib`g_main_loop_run + 580
    frame #9: 0x0000000103ca83c8 libjavascriptcoregtk-4.0.18.dylib`WTF::RunLoop::run() + 200
    frame #10: 0x0000000103ca90bf libjavascriptcoregtk-4.0.18.dylib`std::__1::__function::__func<WTF::WorkQueue::platformInitialize(char const*, WTF::WorkQueue::Type, WTF::WorkQueue::QOS)::$_0, std::__1::allocator<WTF::WorkQueue::platformInitialize(char const*, WTF::WorkQueue::Type, WTF::WorkQueue::QOS)::$_0>, void ()>::operator()() + 159
    frame #11: 0x0000000103c79192 libjavascriptcoregtk-4.0.18.dylib`WTF::threadEntryPoint(void*) + 178
    frame #12: 0x0000000103ca64af libjavascriptcoregtk-4.0.18.dylib`WTF::wtfThreadEntryPoint(void*) + 15
    frame #13: 0x00007fff966289b1 libsystem_pthread.dylib`_pthread_body + 131
    frame #14: 0x00007fff9662892e libsystem_pthread.dylib`_pthread_start + 168
    frame #15: 0x00007fff96626385 libsystem_pthread.dylib`thread_start + 13
Comment 4 Philippe Normand 2015-12-07 00:12:00 PST
The issue is that in Bug 151129 we reverted back to using SOCK_SEQPACKET on GTK/Mac.
Comment 5 Philippe Normand 2015-12-07 00:15:47 PST
Created attachment 266755 [details]
patch
Comment 6 Carlos Garcia Campos 2015-12-07 01:04:00 PST
Comment on attachment 266755 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=266755&action=review

> Source/WebKit2/Platform/IPC/unix/ConnectionUnix.cpp:46
> -#if defined(SOCK_SEQPACKET)
> +#if defined(SOCK_SEQPACKET) && !OS(DARWIN)

I don't understand why SOCK_SEQPACKET is defined, but can't be used, it's confusing. So, please add a comment here.
Comment 7 Philippe Normand 2015-12-07 10:48:19 PST
Committed r193634: <http://trac.webkit.org/changeset/193634>
Comment 8 Ethan Sherriff 2016-01-13 10:43:32 PST
Hello, I'm not sure if this is related, but while using WebKitGTK+-2.10.4 on MacOS X 10.11.2 MiniBrowser segfaults on startup with:

1   0x106750cc6
2   0x10bdc2c08
3   0x10bdc121a
4   0x1098061e2
Segmentation fault: 11

Its crash report says:

rocess:               MiniBrowser [1695]
Path:                  /usr/local/bin/MiniBrowser
Identifier:            MiniBrowser
Version:               0
Code Type:             X86-64 (Native)
Parent Process:        bash [1156]
Responsible:           Terminal [1148]
User ID:               501

Date/Time:             2016-01-13 18:39:24.569 +0000
OS Version:            Mac OS X 10.11.2 (15C50)
Report Version:        11
Anonymous UUID:        190D05CF-7371-B2D7-A42F-832CE0C54C74

Sleep/Wake UUID:       2AA84582-9517-4C33-B308-D4DB70B25B09

Time Awake Since Boot: 6600 seconds
Time Since Wake:       2300 seconds

System Integrity Protection: disabled

Crashed Thread:        11  ProcessLauncher

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x00000000bbadbeef

VM Regions Near 0xbbadbeef:
--> 
    __TEXT                 000000010e560000-000000010e578000 [   96K] r-x/rwx SM=COW  /usr/local/bin/MiniBrowser

Thread 0:: Dispatch queue: com.apple.main-thread
0   libwebkit2gtk-4.0.37.dylib    	0x000000010e73d870 WTF::HashTable<WTF::String, WTF::String, WTF::IdentityExtractor, WTF::CaseFoldingHash, WTF::HashTraits<WTF::String>, WTF::HashTraits<WTF::String> >::rehash(unsigned int, WTF::String*) + 0
1   libwebkit2gtk-4.0.37.dylib    	0x000000010ee9985b WTF::HashTable<WTF::String, WTF::String, WTF::IdentityExtractor, WTF::CaseFoldingHash, WTF::HashTraits<WTF::String>, WTF::HashTraits<WTF::String> >::add(WTF::String&&) + 75
2   libwebkit2gtk-4.0.37.dylib    	0x000000010ee97d88 WebCore::localURLSchemes() + 136
3   libwebkit2gtk-4.0.37.dylib    	0x000000010ee97ce1 WebCore::SchemeRegistry::registerURLSchemeAsLocal(WTF::String const&) + 17
4   libwebkit2gtk-4.0.37.dylib    	0x000000010e7daf47 WebKit::WebProcessPool::platformInitializeWebProcess(WebKit::WebProcessCreationParameters&) + 535
5   libwebkit2gtk-4.0.37.dylib    	0x000000010e6653d8 WebKit::WebProcessPool::createNewWebProcess() + 3592
6   libwebkit2gtk-4.0.37.dylib    	0x000000010e6662c7 WebKit::WebProcessPool::createWebPage(WebKit::PageClient&, WTF::Ref<API::PageConfiguration>&&) + 359
7   libwebkit2gtk-4.0.37.dylib    	0x000000010e7b7c94 webkitWebViewBaseCreateWebPage(_WebKitWebViewBase*, WebKit::WebProcessPool*, WTF::Ref<API::PageConfiguration>&&) + 36
8   libwebkit2gtk-4.0.37.dylib    	0x000000010e7a7c18 webkitWebContextCreatePageForWebView(_WebKitWebContext*, _WebKitWebView*, _WebKitUserContentManager*, _WebKitWebView*) + 248
9   libwebkit2gtk-4.0.37.dylib    	0x000000010e7b489c webkitWebViewConstructed(_GObject*) + 284

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff91f136de __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff88de3729 _pthread_wqthread + 1283
2   libsystem_pthread.dylib       	0x00007fff88de1365 start_wqthread + 13

Thread 2:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff91f13ff6 kevent_qos + 10
1   libdispatch.dylib             	0x00007fff99b0d099 _dispatch_mgr_invoke + 216
2   libdispatch.dylib             	0x00007fff99b0cd01 _dispatch_mgr_thread + 52

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff91f136de __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff88de3729 _pthread_wqthread + 1283
2   libsystem_pthread.dylib       	0x00007fff88de1365 start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff91f136de __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff88de3729 _pthread_wqthread + 1283
2   libsystem_pthread.dylib       	0x00007fff88de1365 start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff91f136de __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff88de3729 _pthread_wqthread + 1283
2   libsystem_pthread.dylib       	0x00007fff88de1365 start_wqthread + 13

Thread 6:

Thread 7:: StorageManager
0   libsystem_kernel.dylib        	0x00007fff91f13176 __select + 10
1   libglib-2.0.0.dylib           	0x000000011188c7a7 g_poll + 295 (gpoll.c:387)
2   libglib-2.0.0.dylib           	0x000000011187d514 g_main_context_iterate.isra.29 + 356 (gmain.c:4135)

Thread 8:: WebsiteDataStore
0   libsystem_kernel.dylib        	0x00007fff91f13176 __select + 10
1   libglib-2.0.0.dylib           	0x000000011188c7a7 g_poll + 295 (gpoll.c:387)
2   libglib-2.0.0.dylib           	0x000000011187d514 g_main_context_iterate.isra.29 + 356 (gmain.c:4135)

Thread 9:
0   libsystem_kernel.dylib        	0x00007fff91f13206 __semwait_signal + 10
1   libsystem_c.dylib             	0x00007fff98c07d17 nanosleep + 199
2   libc++.1.dylib                	0x00007fff8eddb020 std::__1::this_thread::sleep_for(std::__1::chrono::duration<long long, std::__1::ratio<1l, 1000000000l> > const&) + 75
3   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e41117 bmalloc::Heap::scavenge(std::__1::unique_lock<bmalloc::StaticMutex>&, std::__1::chrono::duration<long long, std::__1::ratio<1l, 1000l> >) + 375
4   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e40c81 bmalloc::Heap::concurrentScavenge() + 65
5   libjavascriptcoregtk-4.0.18.dylib	0x000000011202143a bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>::threadRunLoop() + 90
6   libjavascriptcoregtk-4.0.18.dylib	0x000000011202165d void* std::__1::__thread_proxy<std::__1::tuple<void (*)(bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>*), bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>*> >(void*) + 93
7   libsystem_pthread.dylib       	0x00007fff88de3c13 _pthread_body + 131
8   libsystem_pthread.dylib       	0x00007fff88de3b90 _pthread_start + 168
9   libsystem_pthread.dylib       	0x00007fff88de1375 thread_start + 13

Thread 10:: WebCore: IconDatabase
0   libsystem_kernel.dylib        	0x00007fff91f12eb2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fff88de4150 _pthread_cond_wait + 767
2   libc++.1.dylib                	0x00007fff8ed9c68f std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 47
3   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e09bae WTF::ParkingLot::parkConditionally(void const*, std::__1::function<bool ()>, std::__1::function<void ()>, std::__1::chrono::time_point<std::__1::chrono::steady_clock, std::__1::chrono::duration<long long, std::__1::ratio<1l, 1000000000l> > >) + 2494
4   libwebkit2gtk-4.0.37.dylib    	0x000000010edda932 bool WTF::ConditionBase::waitUntil<WTF::Lock>(WTF::Lock&, std::__1::chrono::time_point<std::__1::chrono::steady_clock, std::__1::chrono::duration<long long, std::__1::ratio<1l, 1000000000l> > >) + 162
5   libwebkit2gtk-4.0.37.dylib    	0x000000010edd1d21 WebCore::IconDatabase::syncThreadMainLoop() + 705
6   libwebkit2gtk-4.0.37.dylib    	0x000000010edd19f6 WebCore::IconDatabase::iconDatabaseSyncThread() + 374
7   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e0c122 WTF::threadEntryPoint(void*) + 178
8   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e3939f WTF::wtfThreadEntryPoint(void*) + 15
9   libsystem_pthread.dylib       	0x00007fff88de3c13 _pthread_body + 131
10  libsystem_pthread.dylib       	0x00007fff88de3b90 _pthread_start + 168
11  libsystem_pthread.dylib       	0x00007fff88de1375 thread_start + 13

Thread 11 Crashed:: ProcessLauncher
0   libjavascriptcoregtk-4.0.18.dylib	0x0000000113dfe8f1 WTFCrash + 113
1   libwebkit2gtk-4.0.37.dylib    	0x000000010e76cbd9 IPC::Connection::createPlatformConnection(unsigned int) + 185
2   libwebkit2gtk-4.0.37.dylib    	0x000000010e7c0cc6 WebKit::ProcessLauncher::launchProcess() + 54
3   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e3cc08 WTF::GMainLoopSource::voidCallback() + 120
4   libjavascriptcoregtk-4.0.18.dylib	0x0000000113e3b21a WTF::GMainLoopSource::voidSourceCallback(WTF::GMainLoopSource*) + 10

Thread 11 crashed with X86 Thread State (64-bit):
  rax: 0x00000000bbadbeef  rbx: 0x0000000000000004  rcx: 0x0000030000000403  rdx: 0x0000040000000400
  rdi: 0x00007fff7bbf71e8  rsi: 0x0000000000012068  rbp: 0x000070000052eb40  rsp: 0x000070000052ea20
   r8: 0x0000000000000040   r9: 0x00007fff7bbf71e0  r10: 0xffffffffffffffff  r11: 0x0000000000000246
  r12: 0x00007fef8520fde0  r13: 0x00007fef82eeae40  r14: 0x0000000113e6d6c8  r15: 0x0000000000000004
  rip: 0x0000000113dfe8f1  rfl: 0x0000000000010246  cr2: 0x00000000bbadbeef
  
Logical CPU:     0
Error Code:      0x00000006
Trap Number:     14


Binary Images:
       0x10e560000 -        0x10e577fff +MiniBrowser (0) <00157EC7-617C-3498-A4C5-CBB8004AC5FC> /usr/local/bin/MiniBrowser
       0x10e585000 -        0x10fbb5ff7 +libwebkit2gtk-4.0.37.dylib (0) <C75014DD-96BA-3BFE-BFA6-5F97126E7F17> /usr/local/lib/libwebkit2gtk-4.0.37.dylib
       0x110935000 -        0x110f58fff +libgtk-3.0.dylib (0) <E64B6DE8-0012-39EE-AA57-F9D193A5CB1B> /usr/local/lib/libgtk-3.0.dylib
       0x111209000 -        0x111299fff +libgdk-3.0.dylib (0) <FAA901C0-0BF1-37E8-9593-8EEB4D74B310> /usr/local/lib/libgdk-3.0.dylib
       0x111306000 -        0x111311ff7 +libpangocairo-1.0.0.dylib (0) <A89667E0-19C6-308B-A3D2-D235BDD90EB7> /usr/local/lib/libpangocairo-1.0.0.dylib
       0x111328000 -        0x111360ff7 +libpango-1.0.0.dylib (0) <6F74C924-C50A-34D6-878B-9AFC116BD5FB> /usr/local/lib/libpango-1.0.0.dylib
       0x111384000 -        0x11139ffff +libatk-1.0.0.dylib (0) <06C371B8-3459-3DAD-B440-36FDCE78E39E> /usr/local/lib/libatk-1.0.0.dylib
       0x1113c2000 -        0x1113c4ff7 +libcairo-gobject.2.dylib (0) <8AD2FAB6-0C8A-3695-8EEE-B0F8F9B753E9> /usr/local/lib/libcairo-gobject.2.dylib
       0x1113d2000 -        0x1114aafff +libcairo.2.dylib (0) <58D84ED4-FB04-3065-99FC-DE23CA7E3C28> /usr/local/lib/libcairo.2.dylib
       0x111517000 -        0x111535fff +libgdk_pixbuf-2.0.0.dylib (0) <B48E7555-32FA-31BF-BB83-48C7B1E125FB> /usr/local/lib/libgdk_pixbuf-2.0.0.dylib
       0x11154e000 -        0x1116c8fe7 +libgio-2.0.0.dylib (0) <C655620E-CB9B-3461-8722-4112597409AA> /usr/local/lib/libgio-2.0.0.dylib
       0x1117cc000 -        0x11181bfe7 +libgobject-2.0.0.dylib (0) <F47E93A3-66B2-3C52-AF97-48EBAF3B0690> /usr/local/lib/libgobject-2.0.0.dylib
       0x11184c000 -        0x111980ff7 +libglib-2.0.0.dylib (0) <11BD5873-2F1F-3B74-9C23-8BDFB2FBE8A9> /usr/local/lib/libglib-2.0.0.dylib
       0x1119f0000 -        0x1119f8fff +libintl.8.dylib (0) <110E54E4-3E12-3BC0-A06E-919FA56F1CED> /usr/local/lib/libintl.8.dylib
       0x111a07000 -        0x112087ff7 +libjavascriptcoregtk-4.0.18.dylib (0) <778A94BF-47EC-313B-A111-E54E5860AAD7> /usr/local/lib/libjavascriptcoregtk-4.0.18.dylib
       0x112263000 -        0x11240ffff +libicui18n.56.dylib (0) <20F8994F-1FD9-35B5-8FDC-513AC4058420> /usr/local/lib/libicui18n.56.dylib
       0x1124e9000 -        0x11260cfff +libicuuc.56.dylib (0) <2C56327D-9838-3544-AF1C-25B600ED9D88> /usr/local/lib/libicuuc.56.dylib
       0x112673000 -        0x112ad4fe7 +libGL.1.dylib (0) <01D0F1A7-58B7-33A8-824A-FC2A5C98D215> /usr/local/X11R7.7/lib/libGL.1.dylib
       0x112c8e000 -        0x112ca7fe7 +libEGL.1.dylib (0) <4D5CA15C-8361-36DF-A435-21F91C60CE7B> /usr/local/X11R7.7/lib/libEGL.1.dylib
       0x112cbc000 -        0x112cc5fff +libenchant.1.dylib (0) <8F77F10E-3EC2-392F-AA39-2CBDC2F0D3BF> /usr/local/lib/libenchant.1.dylib
       0x112cd3000 -        0x112d0dff7 +libfontconfig.1.dylib (0) <45FFC04C-7DC7-3349-93ED-A747A80EAA25> /usr/local/lib/libfontconfig.1.dylib
       0x112d2c000 -        0x112dbbfef +libfreetype.6.dylib (0) <98F35D05-DEE3-3F0E-AA71-2570C53E0385> /usr/local/lib/libfreetype.6.dylib
       0x112df8000 -        0x112df9fff +libgmodule-2.0.0.dylib (0) <54869341-14C9-3871-B51B-83DF2B521479> /usr/local/lib/libgmodule-2.0.0.dylib
       0x112e01000 -        0x112e5dff7 +libharfbuzz.0.dylib (0) <9626E4BC-1C3E-3966-98E1-D4AFB14E9969> /usr/local/lib/libharfbuzz.0.dylib
       0x112e8a000 -        0x112e8afef +libharfbuzz-icu.0.dylib (0) <0551D703-A1A2-3DEF-A097-78713B6636F1> /usr/local/lib/libharfbuzz-icu.0.dylib
       0x112e8d000 -        0x112ec5fef +libjpeg.9.dylib (0) <661FEC69-8DDC-32FC-8592-758DCAACC72E> /usr/local/lib/libjpeg.9.dylib
       0x112ed5000 -        0x112f1bfe7 +libsecret-1.0.dylib (0) <6933DD75-5816-33E1-94FF-938130896370> /usr/local/lib/libsecret-1.0.dylib
       0x112f51000 -        0x112fdcff7 +libsoup-2.4.1.dylib (0) <05E7207B-2A09-3799-A628-FD4F626FCA42> /usr/local/lib/libsoup-2.4.1.dylib
       0x113045000 -        0x113191fe7 +libxml2.2.dylib (0) <E8289E26-BB2D-3F1C-BC27-78EA3E875257> /usr/local/lib/libxml2.2.dylib
       0x113206000 -        0x11323cff7 +libxslt.1.dylib (0) <C68522C1-79D3-3EB5-A899-ECE812B1E984> /usr/local/lib/libxslt.1.dylib
       0x113255000 -        0x113258ff7 +libhyphen.0.dylib (0) <3E48EA95-DCFE-3A9F-B5DB-96F0A72F7D63> /usr/local/lib/libhyphen.0.dylib
       0x11325d000 -        0x11328cfe7 +libpng16.16.dylib (0) <A60491DA-51F3-3790-BF02-1ECF47861690> /usr/local/lib/libpng16.16.dylib
       0x1132a0000 -        0x113370ff7 +libsqlite3.0.dylib (0) <9D88FA55-C2E8-35FE-B5C8-86551F929AF6> /usr/local/lib/libsqlite3.0.dylib
       0x1133ac000 -        0x113400fff +libwebp.5.dylib (0) <40D6A1CA-B7EC-379C-82E0-0CC1843A7022> /usr/local/lib/libwebp.5.dylib
       0x11341f000 -        0x113437fff +libz.1.dylib (0) <49F4FEAB-68B1-3667-BEF8-20E133867709> /usr/local/lib/libz.1.dylib
       0x11343c000 -        0x113446fff +libgstapp-1.0.0.dylib (0) <F0BA4A5B-42B8-3F7E-8780-343F10D6838B> /usr/local/lib/libgstapp-1.0.0.dylib
       0x113454000 -        0x1134b4fef +libgstbase-1.0.0.dylib (0) <79D18737-DC8C-3F43-B0B4-E62484FCA7F6> /usr/local/lib/libgstbase-1.0.0.dylib
       0x1134de000 -        0x1135effe7 +libgstreamer-1.0.0.dylib (0) <4AFE0B86-9031-30A7-B366-E454D9F13664> /usr/local/lib/libgstreamer-1.0.0.dylib
       0x113685000 -        0x1136a5ff7 +libgstpbutils-1.0.0.dylib (0) <4E5EE189-2BE5-3F8A-A4DF-AACBCC0EEA0A> /usr/local/lib/libgstpbutils-1.0.0.dylib
       0x1136c2000 -        0x113708fe7 +libgstaudio-1.0.0.dylib (0) <5097F6A4-423A-3BDD-BF10-E612E5E16FB2> /usr/local/lib/libgstaudio-1.0.0.dylib
       0x113731000 -        0x113764fef +libgsttag-1.0.0.dylib (0) <C30891F0-78A6-3542-99C3-222A65DEAF84> /usr/local/lib/libgsttag-1.0.0.dylib
       0x11377c000 -        0x1137dbfef +libgstvideo-1.0.0.dylib (0) <00EBE86B-FA48-3AEC-9737-981CF56705D8> /usr/local/lib/libgstvideo-1.0.0.dylib
       0x113816000 -        0x11381efff +libgstfft-1.0.0.dylib (0) <0FFC4A2A-BEAA-36F6-AEFE-6CBCFF39CA13> /usr/local/lib/libgstfft-1.0.0.dylib
       0x113829000 -        0x113ea9ff7 +libjavascriptcoregtk-4.0.18.dylib (0) <778A94BF-47EC-313B-A111-E54E5860AAD7> /Users/USER/Documents/*/libjavascriptcoregtk-4.0.18.dylib
       0x114086000 -        0x114087fff +libXdamage.1.dylib (0) <E0DBE19B-5137-35DE-91C1-CD746DC2E754> /usr/local/X11R7.7/lib/libXdamage.1.dylib
       0x11408a000 -        0x11408dff7 +libXfixes.3.dylib (0) <FDA73200-9C6B-3F66-80AC-DEEB0E1AECA1> /usr/local/X11R7.7/lib/libXfixes.3.dylib
       0x114099000 -        0x114138fff +libpixman-1.0.dylib (0) <FFE1B56D-28FC-35A3-AA55-67C75DAD1627> /usr/local/lib/libpixman-1.0.dylib
       0x114168000 -        0x114168ff7 +libxcb-shm.0.dylib (0) <2DD479C5-934F-3E41-8A0E-95E123EDC693> /usr/local/X11R7.7/lib/libxcb-shm.0.dylib
       0x114173000 -        0x114173fff +libX11-xcb.1.dylib (0) <10864063-8130-3984-84CB-18DC36121CEA> /usr/local/X11R7.7/lib/libX11-xcb.1.dylib
       0x114176000 -        0x114179ff7 +libxcb-render.0.dylib (0) <0FAC6F9A-1210-3B60-A7F2-4E12F3EB5A35> /usr/local/X11R7.7/lib/libxcb-render.0.dylib
       0x114186000 -        0x1141acff7 +libatk-bridge-2.0.0.dylib (0) <D62FAFD9-E4CE-3FC2-887C-D2B9DE3BB0F2> /usr/local/lib/libatk-bridge-2.0.0.dylib
       0x1141cb000 -        0x1141eefe7 +libatspi.0.dylib (0) <4F4167D7-A9A7-3BDE-9099-5F758518B9F6> /usr/local/lib/libatspi.0.dylib
       0x114208000 -        0x11420cff7 +libXtst.6.dylib (0) <4C2CA96E-D8B1-360D-B7B5-7123B1C37A70> /usr/local/X11R7.7/lib/libXtst.6.dylib
       0x114210000 -        0x11421dfef +libXi.6.dylib (0) <DC9EDED3-504C-34CD-9A49-32D77B1763C5> /usr/local/X11R7.7/lib/libXi.6.dylib
       0x114227000 -        0x114232fff +libXext.6.dylib (0) <011FBF1C-EBBE-359E-8007-ADD9883FBE64> /usr/local/X11R7.7/lib/libXext.6.dylib
       0x11423e000 -        0x114347ff7 +libX11.6.dylib (0) <23AB957B-4B22-308F-9B2A-90FC2BEDBC36> /usr/local/X11R7.7/lib/libX11.6.dylib
       0x1143a9000 -        0x1143b8fff +libxcb.1.dylib (0) <72BC9B77-3E2A-3490-ADA7-76D774FFAF52> /usr/local/X11R7.7/lib/libxcb.1.dylib
       0x1143d9000 -        0x1143daff7 +libXau.6.dylib (0) <E3B2FBCE-D141-3B2A-9293-FFA1F469608A> /usr/local/X11R7.7/lib/libXau.6.dylib
       0x1143e2000 -        0x114429fef +libdbus-1.3.dylib (0) <03894970-2D28-3BB5-A691-67A71077FC7F> /usr/local/lib/libdbus-1.3.dylib
       0x114459000 -        0x1144f4fe7 +libepoxy.0.dylib (0) <465EA962-F945-3784-9E85-ECB7EF44DC05> /usr/local/lib/libepoxy.0.dylib
       0x114612000 -        0x11461dfff +libpangoft2-1.0.0.dylib (0) <8FD66E59-EB2C-3D74-A778-B9D096F143E1> /usr/local/lib/libpangoft2-1.0.0.dylib
       0x114634000 -        0x114634fe7 +libgthread-2.0.0.dylib (0) <4BACDC75-20A6-3F21-8F40-10515AD2F0A9> /usr/local/lib/libgthread-2.0.0.dylib
       0x11463a000 -        0x114653fff  libexpat.1.dylib (12.20.1) <AA76E4CF-52F5-3CF9-907B-FBB80BAFB125> /usr/lib/libexpat.1.dylib
       0x114661000 -        0x114666fff +libffi.6.dylib (0) <EB07E4DA-2009-3A10-BABA-042329C36F13> /usr/local/lib/libffi.6.dylib
       0x11466c000 -        0x114766fff +libiconv.2.dylib (0) <3F2AEF46-4AA7-335C-89E6-0308818030AD> /usr/local/lib/libiconv.2.dylib
       0x114787000 -        0x11479cfff +libgcc_s.1.dylib (0) <7CA010CB-9B2F-3D99-9839-F03553A1DE92> /usr/local/gnu-gcc/lib/libgcc_s.1.dylib
       0x1147ab000 -        0x115f8dfff +libicudata.56.dylib (0) <519FFA62-CA07-3819-8D81-887895205067> /usr/local/lib/libicudata.56.dylib
       0x115f8f000 -        0x115f9bff7  libXplugin.1.dylib (45) <4D0A916C-881B-3670-BE21-5039B13738C3> /usr/lib/libXplugin.1.dylib
       0x115fab000 -        0x115fe8fe7 +libglapi.0.dylib (0) <82D6E301-DDD0-3C43-B9B6-695CD915DDD2> /usr/local/X11R7.7/lib/libglapi.0.dylib
       0x116022000 -        0x116029fff +libxcb-glx.0.dylib (0) <ED2E227E-F15F-38C4-8E2D-05B2177134F1> /usr/local/X11R7.7/lib/libxcb-glx.0.dylib
       0x11604a000 -        0x116161fef +libstdc++.6.dylib (0) <4FCDFAD5-477E-346D-A58C-151FD8A26DB5> /usr/local/gnu-gcc/lib/libstdc++.6.dylib
       0x1162d2000 -        0x1162d3fff +libxcb-dri2.0.dylib (0) <31A54BB1-70BC-3B25-A7C6-F95CFC6F2FA7> /usr/local/X11R7.7/lib/libxcb-dri2.0.dylib
       0x1162db000 -        0x1162ddfff +libxcb-xfixes.0.dylib (0) <5E1BFDBC-BDA9-3E4D-A55D-3E4466470141> /usr/local/X11R7.7/lib/libxcb-xfixes.0.dylib
       0x1162eb000 -        0x1162ecff7 +libxcb-shape.0.dylib (0) <381224FE-55F0-3968-A839-DDCDA1E98AE2> /usr/local/X11R7.7/lib/libxcb-shape.0.dylib
       0x1162f7000 -        0x116382f3f +libgcrypt.20.dylib (0) <2C141399-B369-33BD-A7F5-72588EFF3C77> /usr/local/lib/libgcrypt.20.dylib
       0x1163b7000 -        0x1163c3ff7 +libgpg-error.0.dylib (0) <9192637F-292B-38D3-8314-19908CEA46FC> /usr/local/lib/libgpg-error.0.dylib
    0x7fff620ec000 -     0x7fff62122fa7  dyld (360.18) <1A7F8274-FC32-3B86-9979-66B8F2B7B5E2> /usr/lib/dyld
    0x7fff88844000 -     0x7fff88844ff7  liblaunch.dylib (756.20.4) <EDF719D6-D2BB-38DD-8C94-4272BEFDA2CD> /usr/lib/system/liblaunch.dylib
    0x7fff888bc000 -     0x7fff888c7fff  com.apple.CrashReporterSupport (10.11 - 717) <474544AD-1199-3ECC-90E5-071847BA72C6> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff88b84000 -     0x7fff88b88fff  libGIF.dylib (1442) <2F7DA684-3510-38C2-B48F-9D33194860A1> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff88b89000 -     0x7fff88d94fff  libFosl_dynamic.dylib (16.24) <363B7CEE-B662-32F3-9D7B-245E64927C35> /usr/lib/libFosl_dynamic.dylib
    0x7fff88de0000 -     0x7fff88de9ff7  libsystem_pthread.dylib (138.10.4) <327CECD0-B881-3153-8FCC-4FD4818B7F16> /usr/lib/system/libsystem_pthread.dylib
    0x7fff890b1000 -     0x7fff891a3ff7  libJP2.dylib (1442) <3B374049-CCA4-3B4D-9517-583F2BF6B77D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff89aad000 -     0x7fff89b42fff  com.apple.ink.framework (10.9 - 214) <6B573126-A6E9-357F-B36A-AA5BDC0BEAF8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff89b43000 -     0x7fff89b46ff7  libCoreFSCache.dylib (119.5) <C7008E64-0AFB-3446-929E-BC3F76DEF049> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff89ba6000 -     0x7fff89bcbff7  libPng.dylib (1442) <E8391CE4-9B83-3895-A406-D987FC826D4A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff89bf6000 -     0x7fff89bfefff  libsystem_networkextension.dylib (385.20.6) <DC8A102A-BF02-31A4-8914-65C34DF6B592> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff89df0000 -     0x7fff89ee2ff7  libiconv.2.dylib (44) <F05A0A5A-92A9-3668-8F20-F27CBDA26BE9> /usr/lib/libiconv.2.dylib
    0x7fff89f11000 -     0x7fff89f11fff  com.apple.Accelerate (1.10 - Accelerate 1.10) <97B71D88-9C93-3943-B09E-642183B4E1AC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff89f59000 -     0x7fff89f5fff7  com.apple.speech.recognition.framework (5.1.1 - 5.1.1) <FA5CB89A-2BFE-38CC-B1A3-E48792CD898C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff8a512000 -     0x7fff8a514ff7  libsystem_configuration.dylib (802.20.7) <5FD79070-36CC-3D02-BEA7-BB5D2AE97D5D> /usr/lib/system/libsystem_configuration.dylib
    0x7fff8a518000 -     0x7fff8a534ff3  libresolv.9.dylib (60) <A650B5C8-1950-36A0-86D1-0B2465318BFA> /usr/lib/libresolv.9.dylib
    0x7fff8a535000 -     0x7fff8a536ff3  com.apple.print.framework.Print (10.0 - 266) <BF573614-5666-3D16-9D45-4690911F030A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8a537000 -     0x7fff8a539ff7  libquarantine.dylib (80) <163CF63A-7455-3D1F-AE57-8C4475A9204C> /usr/lib/system/libquarantine.dylib
    0x7fff8a546000 -     0x7fff8a948fff  libLAPACK.dylib (1159) <A333AA38-9C2C-329C-AB92-94774C8264C5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff8a995000 -     0x7fff8a99afff  com.apple.TCC (1.0 - 1) <C53628CA-0C75-34B6-AE6E-8BCF8A3ED099> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff8aa5a000 -     0x7fff8aa5cff7  com.apple.xpc.ServiceManagement (1.0 - 1) <3777FD15-B6F3-32A2-A8E3-3E8CE3B8D5E7> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff8ac58000 -     0x7fff8ac60fff  libGFXShared.dylib (12.0.40.6) <05770D51-DB02-3ACD-86EF-D3A475A83D4D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8ac61000 -     0x7fff8ac65fff  libcache.dylib (75) <6B245C0A-F3EA-383B-A542-5B0D0456A41B> /usr/lib/system/libcache.dylib
    0x7fff8ac66000 -     0x7fff8ae0cff7  com.apple.audio.toolbox.AudioToolbox (1.13 - 1.13) <F912765D-88ED-3324-B512-3778A8CE878B> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff8ae0d000 -     0x7fff8ae0dff7  libkeymgr.dylib (28) <09397E01-6066-3179-A50C-2CE666FDA929> /usr/lib/system/libkeymgr.dylib
    0x7fff8ae10000 -     0x7fff8ae6efff  com.apple.SystemConfiguration (1.14 - 1.14) <A6ABDEA0-88BB-3EA2-8C97-FC1A33ABB1D7> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8ae9f000 -     0x7fff8aea1fff  libsystem_coreservices.dylib (19.2) <1B3F5AFC-FFCD-3ECB-8B9A-5538366FB20D> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff8aeb5000 -     0x7fff8af01fff  com.apple.print.framework.PrintCore (11.2 - 472.2) <449D8AB5-7891-32D0-9DC5-C90FE10DC0BF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8af02000 -     0x7fff8af0bff7  com.apple.CommonAuth (4.0 - 2.0) <B2CEE6B5-9464-35F2-9339-9F52001C8A27> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8af0c000 -     0x7fff8af0fffb  libdyld.dylib (360.18) <5F3777A7-F07E-3D5F-BFA3-A920FF4170ED> /usr/lib/system/libdyld.dylib
    0x7fff8b125000 -     0x7fff8b1deff7  libvMisc.dylib (563.4) <3114F9E9-2B0D-3371-93A1-04BB55CE8DBD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8b1df000 -     0x7fff8b1e4ff3  libunwind.dylib (35.3) <124E0F05-2350-3774-A32C-7F5BF38EDE73> /usr/lib/system/libunwind.dylib
    0x7fff8b1e5000 -     0x7fff8b1fbff7  libLinearAlgebra.dylib (1159) <FA316609-9851-3C5C-AF46-685A25768D45> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff8b1fc000 -     0x7fff8b215ffb  com.apple.openscripting (1.7 - 169) <DB62452B-3C83-3B7A-8349-7536F4E1532B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8b371000 -     0x7fff8c5dcff3  com.apple.CoreGraphics (1.600.0 - 948) <08CF6D47-D0DC-3FF2-8E9E-4394F0358252> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8c8db000 -     0x7fff8c8e3ffb  libsystem_dnssd.dylib (625.20.4) <945B5FB1-DA91-3D45-A961-A8FAD53C1E7E> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff8d93f000 -     0x7fff8d950ff7  libz.1.dylib (61.20.1) <B3EBB42F-48E3-3287-9F0D-308E04D407AC> /usr/lib/libz.1.dylib
    0x7fff8da7f000 -     0x7fff8da7fff7  libunc.dylib (29) <1D0F8265-F026-3CBD-93D3-F8DF14FFCE68> /usr/lib/system/libunc.dylib
    0x7fff8dec1000 -     0x7fff8df03ff7  com.apple.Metal (55.2.8 - 55.2.8) <4EC5571C-8A19-3774-BDA0-CB15DB04D06A> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff8e795000 -     0x7fff8e7cfff7  com.apple.DebugSymbols (132 - 132) <BDF57386-2881-35BD-9310-36904C764E93> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8e876000 -     0x7fff8e8c5ff7  com.apple.opencl (2.6.9 - 2.6.9) <DFB196DD-1863-3E1F-A2CB-41559E898F50> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff8e8c6000 -     0x7fff8e8c9fff  com.apple.IOSurface (108.0.1 - 108.0.1) <7B05B27A-5CC4-30D4-8A10-ED444A2807A2> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8e9cd000 -     0x7fff8ea2afff  com.apple.CoreServices.OSServices (728.6 - 728.6) <E86385ED-70AA-3371-8E58-8FFDEF81C854> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8eaab000 -     0x7fff8eac5ff3  liblzma.5.dylib (10) <CC03591B-FA57-3CA5-AC81-0D76033AC0CE> /usr/lib/liblzma.5.dylib
    0x7fff8ed90000 -     0x7fff8ed91fff  libsystem_blocks.dylib (65) <49D42329-7DE9-3413-92C3-A473A7E9CF35> /usr/lib/system/libsystem_blocks.dylib
    0x7fff8ed93000 -     0x7fff8ed94ffb  libremovefile.dylib (41) <B8D1A5FC-CFD5-3AAB-8A10-14DDC129710A> /usr/lib/system/libremovefile.dylib
    0x7fff8ed95000 -     0x7fff8ede8ff7  libc++.1.dylib (120.1) <8FC3D139-8055-3498-9AC5-6467CB7F4D14> /usr/lib/libc++.1.dylib
    0x7fff8ee38000 -     0x7fff8ef82fc7  com.apple.coreui (2.1 - 365.2) <727C55D3-503A-3EC4-8A23-C984E320F65F> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8f379000 -     0x7fff8f419ff7  com.apple.Metadata (10.7.0 - 972.16) <98CA1355-3E2C-364C-9C4F-3CA286DB08A7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8f41a000 -     0x7fff8f448ff7  com.apple.CoreServicesInternal (248.2 - 248.2) <7D0D2C65-C4C4-3FBD-89A7-12302EA444AA> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff8f449000 -     0x7fff8f470fff  com.apple.ChunkingLibrary (167 - 167) <508861C9-F5E6-343B-8DD0-D71DFE49ECFD> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff8f5b9000 -     0x7fff8f5bcff7  com.apple.help (1.3.3 - 46) <62056D9B-A87C-3E4D-B4E2-7E1CDB74CE68> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff8f5ef000 -     0x7fff8f5f0fff  liblangid.dylib (122) <9CC4F0D1-5C51-3B69-BC8F-EE3A51FD0822> /usr/lib/liblangid.dylib
    0x7fff8f5f1000 -     0x7fff8f612fff  com.apple.Sharing (442.9.1 - 442.9.1) <672DE6DF-98E0-30A4-BA25-44BDE188D0BE> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff8f613000 -     0x7fff8f618ff7  libmacho.dylib (875.1) <CB745E1F-4885-3F96-B38B-2093DF488FD5> /usr/lib/system/libmacho.dylib
    0x7fff8f619000 -     0x7fff8f73eff7  com.apple.LaunchServices (728.6 - 728.6) <8658230B-5894-3244-BDBA-A6C9DD347219> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8f8a3000 -     0x7fff8f8a5fff  com.apple.loginsupport (1.0 - 1) <9B2F5F9B-ED38-313F-B798-D2B667BCD6B5> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff8f90a000 -     0x7fff8fbb0ff7  com.apple.CoreData (120 - 641.3) <A29A5491-6169-372B-828F-84EE0CFD4BC4> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8fd6f000 -     0x7fff8fd8eff7  com.apple.framework.Apple80211 (11.0 - 1110.33) <EC583C00-9073-39C3-B613-96D5BA0FDD32> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff906fd000 -     0x7fff90752ff7  com.apple.AE (701 - 701) <FB22BE84-9CB8-36BF-8061-F93D716C0A84> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff90753000 -     0x7fff9079fff3  com.apple.HIServices (1.22 - 549) <14FB5BB6-8456-39F9-A694-8A1C12426880> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff90858000 -     0x7fff908fcfff  com.apple.Bluetooth (4.4.3 - 4.4.3f4) <FF130A90-AB16-33C8-B0D6-1FFE38BFFD30> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff90cb3000 -     0x7fff90da2fff  libxml2.2.dylib (29.2) <F70308DF-313F-334F-8F0E-82E79821583D> /usr/lib/libxml2.2.dylib
    0x7fff91221000 -     0x7fff912d1fff  com.apple.backup.framework (1.7.2 - 1.7.2) <890AF1EE-CFC9-3DAB-B236-88E203B4ADBC> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff91321000 -     0x7fff91321fff  com.apple.Accelerate.vecLib (3.10 - vecLib 3.10) <E0D5C411-052F-3B71-9562-C1098FB2F86D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff91390000 -     0x7fff91393fff  libCoreVMClient.dylib (119.5) <CD7DE25C-D7AD-3ECD-BEEC-F57992A4A08E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff913ab000 -     0x7fff91574ff7  com.apple.ImageIO.framework (3.3.0 - 1442) <2C8AF87E-080E-3FD8-824D-332B43DF4B61> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff915fc000 -     0x7fff9166aff7  com.apple.ApplicationServices.ATS (377 - 394.3) <66E581EE-67E2-39E9-97A7-0614F334B9B3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff91670000 -     0x7fff91b2efcf  com.apple.vImage (8.0 - 8.0) <85FB412E-EB30-3433-A79B-B3970FC83580> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff91b2f000 -     0x7fff91ba6fe7  libcorecrypto.dylib (335.20.1) <C6BD205F-4ECE-37EE-BCAB-A76F39CDCFFA> /usr/lib/system/libcorecrypto.dylib
    0x7fff91efc000 -     0x7fff91f1afff  libsystem_kernel.dylib (3248.20.55) <0E688457-4915-36DD-8798-5C2EDEE3F1A3> /usr/lib/system/libsystem_kernel.dylib
    0x7fff91fc2000 -     0x7fff9201dff7  libTIFF.dylib (1442) <FC2ADE78-3710-31E7-9CE7-44CD61F4B8DC> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff9201e000 -     0x7fff920c5fff  com.apple.LanguageModeling (1.0 - 1) <E1E4091D-6CAB-36E0-A206-AAADE69791DC> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff920c6000 -     0x7fff920cbfff  com.apple.DiskArbitration (2.7 - 2.7) <B7FAE647-156A-30C8-BA8B-69D188D02602> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff92128000 -     0x7fff92141fff  com.apple.CFOpenDirectory (10.11 - 194) <C21F33AA-CD06-3163-A1F3-1D116F788A11> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff92208000 -     0x7fff92e2bff7  com.apple.AppKit (6.9 - 1404.34) <FB9C0E8D-8E07-35CD-91D8-7A3869B8EB03> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff92e3a000 -     0x7fff92e8afff  libcups.2.dylib (435) <28A05475-9DBF-35EA-B218-3432B69EA18B> /usr/lib/libcups.2.dylib
    0x7fff92e8b000 -     0x7fff92e96fff  libGL.dylib (12.0.40.6) <3F719CC4-8024-33B5-A49D-15FAE1955A12> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff9313a000 -     0x7fff93142fff  com.apple.CoreServices.FSEvents (1223.10.1 - 1223.10.1) <7F5B7A23-BC1D-3FA9-A9B8-D534F1E1979A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff93143000 -     0x7fff9314bfff  libcopyfile.dylib (127) <F5133269-0B22-388C-A57C-079667B6291E> /usr/lib/system/libcopyfile.dylib
    0x7fff9314d000 -     0x7fff9314dfff  com.apple.ApplicationServices (48 - 48) <DD9C4070-C0FC-3984-BCED-72E6E99838FC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff931c3000 -     0x7fff93232fff  com.apple.SearchKit (1.4.0 - 1.4.0) <CA50106F-F45A-36AC-AD2B-C3B19F5DD52F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff93356000 -     0x7fff9335dff7  libcompiler_rt.dylib (62) <D3C4AB40-23B4-3BC6-8C38-5B8758D14E80> /usr/lib/system/libcompiler_rt.dylib
    0x7fff9335e000 -     0x7fff93378fff  com.apple.Kerberos (3.0 - 1) <836358DE-2731-3ACD-98E3-E5FA48917728> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff938a4000 -     0x7fff93931dd7  com.apple.AppleJPEG (1.0 - 1) <9F0E8564-FCC4-33BE-9C6A-2BA926A33F6F> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff93a81000 -     0x7fff93c8eff7  com.apple.CoreImage (11.2.0 - 366.2.7) <344F1067-5F52-3626-8F6C-2B678DEB80A1> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff94475000 -     0x7fff94476fff  libsystem_secinit.dylib (20) <FD6ECF2C-1489-32CA-981B-9045B5EB1FAA> /usr/lib/system/libsystem_secinit.dylib
    0x7fff94da2000 -     0x7fff94da4ff7  libRadiance.dylib (1442) <9E9084DC-C0DF-30DF-BD6B-7AED3799A129> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff94dd8000 -     0x7fff94de0fe7  libsystem_platform.dylib (74.10.3) <D3A27E10-7F08-3603-ACC8-7A92B2C04BAB> /usr/lib/system/libsystem_platform.dylib
    0x7fff9600f000 -     0x7fff9601afff  libkxld.dylib (3248.20.55) <3B8A19A8-7B41-3322-BDEC-9A2461E76423> /usr/lib/system/libkxld.dylib
    0x7fff964ed000 -     0x7fff96506fef  libcompression.dylib (25) <C8546222-B022-39EA-9896-0387BA1D5C51> /usr/lib/libcompression.dylib
    0x7fff96688000 -     0x7fff969f3657  libobjc.A.dylib (680) <58CB8CFC-7DBD-3A53-BD72-A42FF799B21E> /usr/lib/libobjc.A.dylib
    0x7fff96a84000 -     0x7fff96a9fff7  libCRFSuite.dylib (34) <078B4CD8-6A8C-3067-B2BA-0C2A0BAB8AC3> /usr/lib/libCRFSuite.dylib
    0x7fff96aa0000 -     0x7fff96bb2fef  libvDSP.dylib (563.4) <C069B6A3-D7CD-3B72-918C-15514066A2F3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff96bb9000 -     0x7fff96bd6ff7  com.apple.AppleVPAFramework (2.1.2 - 2.1.2) <25691042-E51E-3A47-A908-E2F6D35451FC> /System/Library/PrivateFrameworks/AppleVPA.framework/Versions/A/AppleVPA
    0x7fff96dcd000 -     0x7fff96dd6ff3  libsystem_notify.dylib (150.20.3) <243FADE1-255A-3B78-8033-F336CD64B817> /usr/lib/system/libsystem_notify.dylib
    0x7fff96dd7000 -     0x7fff96ee5ff3  com.apple.desktopservices (1.10 - 1.10) <0BAED9FA-EFA5-3DA0-8715-043FD2400B77> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff96ee6000 -     0x7fff96f36ff7  com.apple.Symbolication (1.4 - 58044) <2EC9F04A-4370-39C8-8549-FC6411D87463> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff96f37000 -     0x7fff96f53ff7  libextension.dylib (78) <589FA312-F17C-3A8D-986F-FD995D0065D5> /usr/lib/libextension.dylib
    0x7fff978c7000 -     0x7fff97a95ffb  com.apple.QuartzCore (1.11 - 410.14) <DB552FA2-D2D1-37F9-A1D4-C77D7EA82ECD> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff97a96000 -     0x7fff97aa6fff  libbsm.0.dylib (34) <7E14504C-A8B0-3574-B6EB-5D5FABC72926> /usr/lib/libbsm.0.dylib
    0x7fff97aad000 -     0x7fff97abbfff  com.apple.opengl (12.0.40 - 12.0.40) <4D469B19-F5B3-3A2F-93D5-31E3AA3B14BF> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff97abc000 -     0x7fff97ad8fff  com.apple.GenerationalStorage (2.0 - 239) <EE667C63-3ADF-34D3-A8A7-316B66C7E290> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff97add000 -     0x7fff97b11ff7  com.apple.CoreVideo (1.8 - 191.2) <88D903C8-E608-320E-8ACD-11E5B3003C18> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff97b22000 -     0x7fff97b23fff  libDiagnosticMessagesClient.dylib (100) <4243B6B4-21E9-355B-9C5A-95A216233B96> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff97b57000 -     0x7fff97fcdfff  com.apple.CoreFoundation (6.9 - 1256.14) <068D1BA9-3859-34C7-986A-97EDF739C5C8> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff980ea000 -     0x7fff983cfff3  com.apple.CoreServices.CarbonCore (1136 - 1136) <FFBDE3BF-0BB3-37A2-8A44-6E25284CC348> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff983d0000 -     0x7fff983dbff7  libChineseTokenizer.dylib (16) <998637AB-DC37-3A7C-A85C-F10FD98CAAD7> /usr/lib/libChineseTokenizer.dylib
    0x7fff98436000 -     0x7fff98436fff  com.apple.CoreServices (728.6 - 728.6) <1FC9300C-6D3D-330C-829C-C8F094BC38C6> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff98437000 -     0x7fff98443ff7  com.apple.speech.synthesis.framework (5.4.12 - 5.4.12) <E507D438-517D-32AE-8609-02ACD2F0D692> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff98444000 -     0x7fff98460ff7  libsystem_malloc.dylib (67) <9EECAB18-F025-34C4-8E32-7EFFA6720EFC> /usr/lib/system/libsystem_malloc.dylib
    0x7fff98541000 -     0x7fff987c7ff7  com.apple.CFNetwork (760.2.6 - 760.2.6) <DDE325B9-7F6F-3933-8F86-8D031E400DD5> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff989d4000 -     0x7fff989d4fff  libOpenScriptingUtil.dylib (169) <5CE2080C-398C-34C2-8D65-B9C627AACA19> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff989e6000 -     0x7fff98a0afff  com.apple.MultitouchSupport.framework (304.10 - 304.10) <CE5E8A54-180B-39FD-B57A-97E02B599B69> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff98a84000 -     0x7fff98b0cfff  com.apple.CoreSymbolication (3.1 - 58048.1) <2DFAF855-0528-370D-B4B0-EE0236766D9D> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff98b0d000 -     0x7fff98b11fff  com.apple.CommonPanels (1.2.6 - 96) <61E9D84F-435A-3C7B-A065-047B80775777> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff98b12000 -     0x7fff98b1eff7  com.apple.OpenDirectory (10.11 - 194) <5409AC27-3B83-3F35-8EB5-51228B4604AE> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff98b26000 -     0x7fff98b6cff7  libauto.dylib (186) <999E610F-41FC-32A3-ADCA-5EC049B65DFB> /usr/lib/libauto.dylib
    0x7fff98b6d000 -     0x7fff98b77fff  com.apple.NetAuth (6.0 - 6.0) <19E44307-6F9F-3DEC-8C1A-4685BC252A35> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff98b88000 -     0x7fff98c15fff  libsystem_c.dylib (1082.20.4) <EAB38A6C-8671-3B13-B500-90EC1B912063> /usr/lib/system/libsystem_c.dylib
    0x7fff98c47000 -     0x7fff98ec7ff3  com.apple.security (7.0 - 57337.20.44) <6D1EFB27-3B0F-39EE-B491-6A697A12E98A> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff98ec8000 -     0x7fff98ec8fff  libenergytrace.dylib (10) <A4AE7CBD-CF0A-3A74-8098-B642CE496611> /usr/lib/libenergytrace.dylib
    0x7fff990fd000 -     0x7fff9910cffb  com.apple.LangAnalysis (1.7.0 - 1.7.0) <0D1BCC13-76B9-3C19-85AA-D8DD8299F007> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff99111000 -     0x7fff9917bff7  com.apple.framework.CoreWLAN (11.0 - 1101.20) <6A535459-6A8A-3D60-986B-EE7ED833A9C3> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff992d2000 -     0x7fff99303fff  com.apple.GSS (4.0 - 2.0) <25DECD44-0905-3E53-9480-DE7BEB84DB83> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff99353000 -     0x7fff993c7fff  com.apple.framework.IOKit (2.0.2 - 1179.20.6) <BA27E459-85E8-3393-BEAA-BF67FE74F5F4> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff993c8000 -     0x7fff99409ff7  libGLU.dylib (12.0.40.6) <D51C3497-7EC6-37F4-9E8D-B9BFED23974D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff9940a000 -     0x7fff9940ffff  com.apple.ImageCapture (9.0 - 9.0) <33F7822F-1124-3D73-AF66-515EA32A4A47> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff994b5000 -     0x7fff995d2fff  libsqlite3.dylib (216.4) <DC3D59E7-91A3-374F-957C-6699729CD82B> /usr/lib/libsqlite3.dylib
    0x7fff995d3000 -     0x7fff995e1ff7  libbz2.1.0.dylib (38) <28E54258-C0FE-38D4-AB76-1734CACCB344> /usr/lib/libbz2.1.0.dylib
    0x7fff99a54000 -     0x7fff99a6aff7  libsystem_coretls.dylib (83.20.8) <30AF7134-6CA7-3582-B9D3-507D6ED19A88> /usr/lib/system/libsystem_coretls.dylib
    0x7fff99a6b000 -     0x7fff99a82fff  libmarisa.dylib (4) <E4919B03-D9BD-3AF8-B436-C415C98E3F0A> /usr/lib/libmarisa.dylib
    0x7fff99a83000 -     0x7fff99ae4ff7  libsystem_network.dylib (583.20.10) <1C0410F3-F66E-3B0D-B8AD-0D49AB15A529> /usr/lib/system/libsystem_network.dylib
    0x7fff99b05000 -     0x7fff99b32fff  libdispatch.dylib (501.20.1) <324C9189-2AF3-3356-847F-6F4CE1C6E901> /usr/lib/system/libdispatch.dylib
    0x7fff99b33000 -     0x7fff99b5cfff  libsystem_info.dylib (477.20.1) <6513635B-4ADE-3B45-BF63-ED7AC565B0C9> /usr/lib/system/libsystem_info.dylib
    0x7fff99b5d000 -     0x7fff99b70fff  com.apple.CoreBluetooth (1.0 - 1) <BF5F87E3-6AAA-3B1F-9979-7A03D77937C8> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff99b71000 -     0x7fff99ceffff  com.apple.UIFoundation (1.0 - 436.1) <8C254BB0-1DED-36A2-AAAF-786EB19CCE39> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff99cf0000 -     0x7fff99d1bffb  libarchive.2.dylib (33.20.2) <6C370A21-63FD-3A68-B4B3-5333F24B770B> /usr/lib/libarchive.2.dylib
    0x7fff99d1c000 -     0x7fff99edcfeb  libBLAS.dylib (1159) <943445A4-F6CA-3923-882C-154D7D4AEFE0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff9a0d8000 -     0x7fff9a101fff  libc++abi.dylib (125) <DCCC8177-3D09-35BC-9784-2A04FEC4C71B> /usr/lib/libc++abi.dylib
    0x7fff9a856000 -     0x7fff9a89bff3  libFontRegistry.dylib (155.1) <593CC743-3785-3CC5-A229-D3846C51E054> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff9aa16000 -     0x7fff9aa44ff7  com.apple.DictionaryServices (1.2 - 250) <D9AB6B92-CAF5-3EC2-8D07-639B42DA1CB9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff9aa45000 -     0x7fff9ad99ff7  com.apple.Foundation (6.9 - 1256.1) <66106CC9-9D97-3846-88D8-4BF6BB508296> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff9ad9a000 -     0x7fff9addfff7  com.apple.coreservices.SharedFileList (24.4 - 24.5) <72156BE7-0804-3F90-9AF9-14C4739430C2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff9b1a7000 -     0x7fff9b1abfff  libpam.2.dylib (20) <CFCD19BD-87BC-3F2B-BB1C-4C23E8E55F1A> /usr/lib/libpam.2.dylib
    0x7fff9b1c9000 -     0x7fff9b230fff  com.apple.framework.CoreWiFi (11.0 - 1101.20) <BEC7B27E-8CE8-3DAB-BFDF-6C240C6A4B12> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff9b829000 -     0x7fff9b82bfff  libCVMSPluginSupport.dylib (12.0.40.6) <8E97A929-0E60-3F6D-ACF7-67F700BE2530> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff9b84a000 -     0x7fff9b850fff  com.apple.IOAccelerator (203.14 - 203.14) <D632883D-7A42-38C4-BF31-BD597BD31FAA> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff9b851000 -     0x7fff9b8c0fff  com.apple.datadetectorscore (7.0 - 460) <CDBB7D7D-B189-37B0-AA4B-DC79090D0D71> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff9b8c1000 -     0x7fff9b8ffff7  libGLImage.dylib (12.0.40.6) <7A41B04A-8282-3530-809F-FAC4AC953CD2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff9bbd5000 -     0x7fff9bbf7fff  com.apple.IconServices (68.1 - 68.1) <3ECAA762-1193-3D76-A25F-7680DB3A957E> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff9bfe3000 -     0x7fff9bfefff7  com.apple.SpeechRecognitionCore (2.2.7 - 2.2.7) <8B6C0DB6-8744-3AEB-BD00-9FA6967E7125> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff9bffc000 -     0x7fff9bffcfff  libmetal_timestamp.dylib (600.0.43.5) <A2B1C6F9-50D0-336B-A057-A7FBE2D7BDE2> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
    0x7fff9c225000 -     0x7fff9c236fff  libcmph.dylib (6) <BA4BF2C6-7F4E-33B8-9DD7-619C9EB83ECF> /usr/lib/libcmph.dylib
    0x7fff9c242000 -     0x7fff9c293ff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <BB7C0F61-E39B-382C-AF03-1650C054BFE1> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff9c44c000 -     0x7fff9c4c0fff  com.apple.Heimdal (4.0 - 2.0) <009F223D-B89B-376B-94F5-6D982CBEF771> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff9c4c1000 -     0x7fff9c4d1fff  libSparseBLAS.dylib (1159) <81330B45-9CA3-34AC-891C-6E770C3DFC24> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff9c4d2000 -     0x7fff9c4d5ffb  libScreenReader.dylib (425.102) <BDC46586-4925-38F2-85D3-BD23DB6E6D43> /usr/lib/libScreenReader.dylib
    0x7fff9c4fe000 -     0x7fff9c501ff7  libsystem_sandbox.dylib (460.20.9) <1C891336-1B25-365D-B43E-96D5B3BE66B0> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff9c5ca000 -     0x7fff9c63eff3  com.apple.securityfoundation (6.0 - 55126) <943934A2-EC53-330F-BEB9-8A718A18F9FC> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff9c63f000 -     0x7fff9ca6dfff  com.apple.vision.FaceCore (3.3.1 - 3.3.1) <B8482831-77BD-3FBC-A0B1-12502353AA57> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff9ca6e000 -     0x7fff9ca6efff  com.apple.audio.units.AudioUnit (1.13 - 1.13) <D2E8EA94-3828-3D7C-87E2-97E4CD00269D> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff9cac4000 -     0x7fff9cac9ff7  libheimdal-asn1.dylib (453.20.2) <EE3DD8E9-E543-3849-ADC9-EDBF2379C97C> /usr/lib/libheimdal-asn1.dylib
    0x7fff9caca000 -     0x7fff9caf9ffb  libsystem_m.dylib (3105) <26655445-CA97-321E-B221-801CB378D1AA> /usr/lib/system/libsystem_m.dylib
    0x7fff9cafa000 -     0x7fff9cb23ff7  libxslt.1.dylib (14) <CF5C6F5F-75D6-3C00-B6B2-1032D2799FBC> /usr/lib/libxslt.1.dylib
    0x7fff9cb67000 -     0x7fff9cb6ffff  com.apple.NetFS (6.0 - 4.0) <BDD59EC5-D399-31EA-9B2A-60E3A859FC42> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff9cc3b000 -     0x7fff9cc52fff  libsystem_asl.dylib (322) <3C2D3ACD-0DD1-337A-8247-44A910D67A65> /usr/lib/system/libsystem_asl.dylib
    0x7fff9cc53000 -     0x7fff9cd7fff7  com.apple.CoreText (352.0 - 494.10) <9FD834B1-FF8E-3EB0-BB11-6E9120969086> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff9cdb4000 -     0x7fff9cdecfff  com.apple.RemoteViewServices (2.0 - 99) <596153FD-3CB9-3FED-9D63-1B73B01AC6DB> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff9cded000 -     0x7fff9cdf8ff7  libcommonCrypto.dylib (60075.20.1) <766BC3F5-41F3-3315-BABC-72718A98EA92> /usr/lib/system/libcommonCrypto.dylib
    0x7fff9cdf9000 -     0x7fff9cdf9fff  com.apple.Carbon (154 - 157) <34263101-328D-3FE4-B212-14BD3CFF6965> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff9d274000 -     0x7fff9d2aefff  com.apple.QD (3.12 - 302) <3F36A108-C557-353A-A3F7-80DDCB82BB37> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff9d2af000 -     0x7fff9d2bdfff  libxar.1.dylib (302) <03207F66-2C4A-3DBD-8D81-70F4C85903C4> /usr/lib/libxar.1.dylib
    0x7fff9da94000 -     0x7fff9dabdfff  libxpc.dylib (756.20.4) <61AB4610-9304-354C-9E9B-D57198AE9866> /usr/lib/system/libxpc.dylib
    0x7fff9db1a000 -     0x7fff9db1bffb  libSystem.B.dylib (1226.10.1) <54388DF0-3813-33E4-BE8D-7743A81ACF4D> /usr/lib/libSystem.B.dylib
    0x7fff9db24000 -     0x7fff9dd31ffb  libicucore.A.dylib (551.41) <CFFD7342-A7D6-323A-AC14-B9EECF6EFFED> /usr/lib/libicucore.A.dylib
    0x7fff9dd5c000 -     0x7fff9dd6dff7  libsystem_trace.dylib (201.10.3) <F0B7622B-FB6B-31E1-8703-38F57BE84553> /usr/lib/system/libsystem_trace.dylib
    0x7fff9e0c1000 -     0x7fff9e1bdff7  libFontParser.dylib (158.4) <BF7F82EB-7820-364A-865E-442F42BFDFA4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff9e1be000 -     0x7fff9e254fff  com.apple.ColorSync (4.9.0 - 4.9.0) <8BB8DF19-C24F-39F8-8B90-AD186D74587C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff9e2a1000 -     0x7fff9e2c5ff7  libJPEG.dylib (1442) <0F9069AB-D830-37DD-8813-B635D1ECB3E4> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff9e359000 -     0x7fff9e3e2ff7  com.apple.PerformanceAnalysis (1.0 - 1) <67DE6CD9-AA72-3664-9594-0161D03D4919> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff9e600000 -     0x7fff9e602ff7  com.apple.securityhi (9.0 - 55006) <516B018C-177A-3FAD-8487-97B50FB67DD1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff9e603000 -     0x7fff9e899fff  libmecabra.dylib (696.4) <0A1574F0-3222-3856-A1C6-D8BE20DC4C48> /usr/lib/libmecabra.dylib
    0x7fff9e8b1000 -     0x7fff9eba6fff  com.apple.HIToolbox (2.1.1 - 807.2) <D9338BEF-CA84-3085-B6CB-4E93B3B9A2E1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 3314
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=333.2M resident=0K(0%) swapped_out_or_unallocated=333.2M(100%)
Writable regions: Total=1.1G written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=1.1G(100%)
 
                                  VIRTUAL   REGION 
REGION TYPE                          SIZE    COUNT (non-coalesced) 
===========                       =======  ======= 
Activity Tracing                    2048K        2 
CG shared images                     144K        5 
CoreUI image file                    128K        2 
Dispatch continuations              8192K        2 
JS JIT generated code                  8K        3 
JS JIT generated code (reserved)     1.0G        2         reserved VM address space (unallocated)
Kernel Alloc Once                      8K        3 
MALLOC                              39.7M       16 
MALLOC guard page                     32K        7 
STACK GUARD                         56.0M       12 
Stack                               12.6M       12 
Stack (reserved)                     520K        2         reserved VM address space (unallocated)
Stack Guard                            4K        2 
VM_ALLOCATE                           36K        4 
WebKit Malloc                       4188K        8 
__DATA                              19.8M      271 
__IMAGE                              528K        2 
__LINKEDIT                         121.5M       79 
__TEXT                             211.8M      261 
__UNICODE                            552K        2 
mapped file                         35.4M       12 
shared memory                       16.3M       11 
===========                       =======  ======= 
TOTAL                                1.5G      698 
TOTAL, minus reserved VM space     528.7M      698 

Model: MacBookPro9,2, BootROM MBP91.00D3.B0C, 2 processors, Intel Core i5, 2.5 GHz, 4 GB, SMC 2.2f44
Graphics: Intel HD Graphics 4000, Intel HD Graphics 4000, Built-In
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1600 MHz, 0x02FE, 0x45424A3230554638424455302D474E2D4620
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1600 MHz, 0x02FE, 0x45424A3230554638424455302D474E2D4620
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xF5), Broadcom BCM43xx 1.0 (7.21.94.136.1a1)
Bluetooth: Version 4.4.3f4 16616, 3 services, 19 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE HDD HTS545050A7E362, 500.11 GB
Serial ATA Device: HL-DT-ST DVDRW  GS41N
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: FaceTime HD Camera (Built-in)
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: Hub
USB Device: Apple Internal Keyboard / Trackpad
USB Device: IR Receiver
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: USB 3.0 Bus
USB Device: iPhone
Thunderbolt Bus: MacBook Pro, Apple Inc., 25.1

There seems to be some stuff relating to IPC and the creation of connections. I had the issue described in this bug before with a previous build of webkit, and wondered if this was related. The patch mentioned does not seem to make any difference. If I get a chance I will post a crash report with proper debugging symbols.
Comment 9 Philippe Normand 2016-01-14 00:44:38 PST
This seems to a different issue indeed. If so, can you please open a new bugreport for it? Thanks!
Comment 10 Ethan Sherriff 2016-01-14 01:54:27 PST
Thank you for your quick response, I have created #153093.
Comment 11 Jeremy Huddleston Sequoia 2016-02-01 10:08:37 PST
<rdar://problem/24439066>